summaryrefslogtreecommitdiffstats
path: root/prototypes/bifrost/scripts
diff options
context:
space:
mode:
authorMarkos Chandras <mchandras@suse.de>2016-09-13 20:28:28 +0100
committerMarkos Chandras <mchandras@suse.de>2016-09-14 09:21:32 +0100
commit5dd8562853d348182a526a40c19a2b99dd5e111c (patch)
tree69583ab699c484bc08788681bcb82a98a93fb3ce /prototypes/bifrost/scripts
parent21f8156390bfaba48f8427f5cda8515becf675b3 (diff)
prototypes: bifrost: Check we are running the destroy-env.sh as root
Nearly all operations in the destroy-env.sh script need to be executed as root so make sure that's the case before we try to do anything. This also fixes the dnsmasq.leases path and we check that the file exists before we try to wipe it. The dnsmasq is also restarted to take the empty leases file into consideration. Finally, we improve the documentation to run the necessary commands using sudo. Change-Id: I56df821ca8a93307117a94a11abd0867b27d8443 Signed-off-by: Markos Chandras <mchandras@suse.de>
Diffstat (limited to 'prototypes/bifrost/scripts')
-rwxr-xr-xprototypes/bifrost/scripts/destroy-env.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/prototypes/bifrost/scripts/destroy-env.sh b/prototypes/bifrost/scripts/destroy-env.sh
index f092a658a..86d7bc487 100755
--- a/prototypes/bifrost/scripts/destroy-env.sh
+++ b/prototypes/bifrost/scripts/destroy-env.sh
@@ -7,6 +7,13 @@
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
+
+# We need to execute everything as root
+if [[ $(whoami) != "root" ]]; then
+ echo "Error: This script must be run as root!"
+ exit 1
+fi
+
virsh destroy jumphost.opnfvlocal || true
virsh destroy controller00.opnfvlocal || true
virsh destroy compute00.opnfvlocal || true
@@ -22,7 +29,7 @@ mysql -u root ironic --execute "delete from node_tags;"
mysql -u root ironic --execute "delete from nodes;"
mysql -u root ironic --execute "delete from conductors;"
echo "removing leases"
-> /var/lib/dnsmasq/dnsmasq.leases
+[[ -e /var/lib/misc/dnsmasq/dnsmasq.leases ]] && > /var/lib/misc/dnsmasq/dnsmasq.leases
echo "removing logs"
rm -rf /var/log/libvirt/baremetal_logs/*.log
@@ -38,6 +45,7 @@ fi
rm -rf /var/lib/libvirt/images/*.qcow2
echo "restarting services"
+service dnsmasq restart
service libvirtd restart
service ironic-api restart
service ironic-conductor start